# FeeSettings | xrpl
Documentation for xrpl

# Interface FeeSettings

The FeeSettings object type contains the current base transaction cost and reserve amounts as determined by fee voting.

#### Hierarchy

- default
  - FeeSettings

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:9

#####
Index

### Properties

BaseFee
Flags
LedgerEntryType
ReferenceFeeUnits
ReserveBase
ReserveIncrement
index

## Properties

### BaseFee

BaseFee: string

The transaction cost of the "reference transaction" in drops of XRP as hexadecimal.

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:15

### Flags

Flags: number

A bit-map of boolean flags for this object. No flags are defined for this type.

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:26

### LedgerEntryType

LedgerEntryType: "FeeSettings"

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:10

### ReferenceFeeUnits

ReferenceFeeUnits: number

The BaseFee translated into "fee units".

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:17

### ReserveBase

ReserveBase: number

The base reserve for an account in the XRP Ledger, as drops of XRP.

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:19

### ReserveIncrement

ReserveIncrement: number

The incremental owner reserve for owning objects, as drops of XRP.

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:21

### index

index: string

Inherited from BaseLedgerEntry.index

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:2

Generated using TypeDoc